Package org.eclipse.lemminx.extensions.relaxng.grammar.rng

## Class RNGXMLReaderCreator

- java.lang.Object
- - org.eclipse.lemminx.extensions.relaxng.grammar.rng.RNGXMLReaderCreator

All Implemented Interfaces:
  `com.thaiopensource.xml.sax.XMLReaderCreator`

    public class RNGXMLReaderCreator
    extends Object
    implements com.thaiopensource.xml.sax.XMLReaderCreator

`XMLReaderCreator` to create the RNG parser.

Author:
  Angelo ZERR

### Constructor Summary

Constructors
`RNGXMLReaderCreator​(LSPErrorReporterForXML reporter)`

### Method Summary

All Methods Instance Methods Concrete Methods
`XMLReader` `createXMLReader()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RNGXMLReaderCreator

    public RNGXMLReaderCreator​(LSPErrorReporterForXML reporter)

### Method Detail

#### createXMLReader

    public XMLReader createXMLReader()
                              throws SAXException

Specified by:
  `createXMLReader` in interface `com.thaiopensource.xml.sax.XMLReaderCreator`
Throws:
  `SAXException`